log4cpp: log4cpp::SimpleConfigurator Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::SimpleConfigurator Class Reference

This class implements a simple Configurator for log4cpp. More...

`#include <SimpleConfigurator.hh>`

List of all members.

## Static Public Member Functions
static void | configure (const std::string &initFileName) throw (ConfigureFailure)
| Configure log4cpp with the configuration in the given file.
static void | configure (std::istream &initFile) throw (ConfigureFailure)
| Configure log4cpp with the configuration in the given file.

## Detailed Description

This class implements a simple Configurator for log4cpp.

It is a temporary hack with an undocumented configuration format.

Deprecated:
  As of version 0.3.2 log4cpp includes a log4j format compatible PropertyConfigurator, removing the need for SimpleConfigurator. This class will be removed in 0.4.0.

## Member Function Documentation

void log4cpp::SimpleConfigurator::configure | ( | const std::string & | initFileName | ) | throw (ConfigureFailure)`[static]`

Configure log4cpp with the configuration in the given file.

NB. The configuration file format is undocumented and may change without notice.

Since:
  0.2.6

Parameters:

  | initFileName | name of the configuration file

Exceptions:

  | ConfigureFailure | if the method encountered a read or syntax error.

void log4cpp::SimpleConfigurator::configure | ( | std::istream & | initFile | ) | throw (ConfigureFailure)`[static]`

Configure log4cpp with the configuration in the given file.

NB. The configuration file format is undocumented and may change without notice.

Since:
  0.3.1

Parameters:

  | initFile | an input stream to the configuration file

Exceptions:

  | ConfigureFailure | if the method encountered a read or syntax error.

The documentation for this class was generated from the following files:

- SimpleConfigurator.hh
- SimpleConfigurator.cpp